Agent Observability 프롬프트의 버전을 나열하십시오.

Note: This endpoint is in preview and is subject to change. If you have any feedback, contact Datadog support.

GET https://api.ap1.datadoghq.com/api/v2/llm-obs/v1/prompts/{prompt_id}/versionshttps://api.ap2.datadoghq.com/api/v2/llm-obs/v1/prompts/{prompt_id}/versionshttps://api.datadoghq.eu/api/v2/llm-obs/v1/prompts/{prompt_id}/versionshttps://api.ddog-gov.com/api/v2/llm-obs/v1/prompts/{prompt_id}/versionshttps://api.us2.ddog-gov.com/api/v2/llm-obs/v1/prompts/{prompt_id}/versionshttps://api.uk1.datadoghq.com/api/v2/llm-obs/v1/prompts/{prompt_id}/versionshttps://api.datadoghq.com/api/v2/llm-obs/v1/prompts/{prompt_id}/versionshttps://api.us3.datadoghq.com/api/v2/llm-obs/v1/prompts/{prompt_id}/versionshttps://api.us5.datadoghq.com/api/v2/llm-obs/v1/prompts/{prompt_id}/versions

개요

Agent Observability 프롬프트의 모든 버전을 최신순으로 나열합니다. 프롬프트가 존재하지 않거나, 등록되지 않았거나, 보관된 경우 응답에는 빈 목록이 포함됩니다. This endpoint requires the llm_observability_read permission.

인수

경로 파라미터

이름

유형

설명

prompt_id [required]

string

The customer-provided identifier of the Agent Observability prompt.

응답

OK

Response containing the versions of an Agent Observability prompt.

Expand All

항목

유형

설명

data [required]

[object]

Prompt versions ordered from newest to oldest.

attributes [required]

object

Attributes of a prompt version returned in a list, excluding its template.

author

string

UUID of the user who authored this version.

created_at

date-time

Timestamp stored on this prompt version.

datasets

[object]

Datasets observed in runs associated with this prompt version.

id [required]

string

Unique identifier of the dataset.

name

string

Name of the dataset.

description

string

Description of this version.

labels

[string]

DEPRECATED: Labels attached to this version (for example development, staging, production).

last_seen_at

date-time

Timestamp of the most recent observed run of this prompt version.

ml_app

string

The ML application this prompt is associated with.

ml_apps

[string]

ML applications observed running this prompt version.

prompt_id [required]

string

Customer-provided identifier of the parent prompt.

prompt_uuid [required]

string

Unique identifier of the parent prompt.

tags

[string]

Tags observed on runs of this prompt version.

user_version

string

User-supplied identifier for this version.

version [required]

int64

Sequential version number.

version_created_at

date-time

Timestamp when this version was created.

id [required]

string

Unique identifier of the prompt version.

type [required]

enum

Resource type of an Agent Observability prompt version. Allowed enum values: prompt-template-versions

{
  "data": [
    {
      "attributes": {
        "author": "3b12f1df-14fd-4e12-bd6f-4a2f5c8b3d1e",
        "created_at": "2025-02-01T14:30:00Z",
        "description": "Give concise answers and cite relevant help-center articles.",
        "prompt_id": "customer-support-assistant",
        "prompt_uuid": "4a1a28ff-8a25-5f0f-946f-f48264d772eb",
        "version": 2,
        "version_created_at": "2025-02-01T14:30:00Z"
      },
      "id": "d83ab666-61cc-5545-a83b-2424bb85467b",
      "type": "prompt-template-versions"
    },
    {
      "attributes": {
        "author": "3b12f1df-14fd-4e12-bd6f-4a2f5c8b3d1e",
        "created_at": "2025-01-15T10:00:00Z",
        "description": "Initial customer support prompt.",
        "prompt_id": "customer-support-assistant",
        "prompt_uuid": "4a1a28ff-8a25-5f0f-946f-f48264d772eb",
        "version": 1,
        "version_created_at": "2025-01-15T10:00:00Z"
      },
      "id": "20e5280b-c75d-5699-8a70-a2773a751428",
      "type": "prompt-template-versions"
    }
  ]
}

Unauthorized

API error response.

Expand All

항목

유형

설명

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Forbidden

API error response.

Expand All

항목

유형

설명

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Too many requests

API error response.

Expand All

항목

유형

설명

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

코드 예시

                  # Path parameters
export prompt_id="customer-support-assistant"
# Use a Personal Access Token or Service Access Token
export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"

# Curl command
curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/llm-obs/v1/prompts/${prompt_id}/versions" \ -H "Accept: application/json" \ -H "Authorization: Bearer ${DD_BEARER_TOKEN}"
"""
List versions of an Agent Observability prompt returns "OK" response
"""

from os import environ
from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.agent_observability_api import AgentObservabilityApi

configuration = Configuration()
configuration.access_token = environ["DD_BEARER_TOKEN"]
configuration.unstable_operations["list_llm_obs_prompt_versions"] = True
with ApiClient(configuration) as api_client:
    api_instance = AgentObservabilityApi(api_client)
    response = api_instance.list_llm_obs_prompt_versions(
        prompt_id="prompt_id",
    )

    print(response)

Instructions

First install the library and its dependencies and then save the example to example.py and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" python3 "example.py"
# List versions of an Agent Observability prompt returns "OK" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.access_token = ENV["DD_BEARER_TOKEN"]
  config.unstable_operations["v2.list_llm_obs_prompt_versions".to_sym] = true
end
api_instance = DatadogAPIClient::V2::AgentObservabilityAPI.new
p api_instance.list_llm_obs_prompt_versions("prompt_id")

Instructions

First install the library and its dependencies and then save the example to example.rb and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" rb "example.rb"
// List versions of an Agent Observability prompt returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	ctx := datadog.NewDefaultContext(context.Background())
	ctx = context.WithValue(ctx, datadog.ContextAccessToken, os.Getenv("DD_BEARER_TOKEN"))
	configuration := datadog.NewConfiguration()
	configuration.SetUnstableOperationEnabled("v2.ListLLMObsPromptVersions", true)
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewAgentObservabilityApi(apiClient)
	resp, r, err := api.ListLLMObsPromptVersions(ctx, "prompt_id")

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `AgentObservabilityApi.ListLLMObsPromptVersions`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `AgentObservabilityApi.ListLLMObsPromptVersions`:\n%s\n", responseContent)
}

Instructions

First install the library and its dependencies and then save the example to main.go and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" go run "main.go"
// List versions of an Agent Observability prompt returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.AgentObservabilityApi;
import com.datadog.api.client.v2.model.LLMObsPromptVersionsResponse;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setAccessToken(System.getenv("DD_BEARER_TOKEN"));
    defaultClient.setUnstableOperationEnabled("v2.listLLMObsPromptVersions", true);
    AgentObservabilityApi apiInstance = new AgentObservabilityApi(defaultClient);

    try {
      LLMObsPromptVersionsResponse result =
          apiInstance.listLLMObsPromptVersions("customer-support-assistant");
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling AgentObservabilityApi#listLLMObsPromptVersions");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}

Instructions

First install the library and its dependencies and then save the example to Example.java and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" java "Example.java"
// List versions of an Agent Observability prompt returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_agent_observability::AgentObservabilityAPI;

#[tokio::main]
async fn main() {
    let mut configuration = datadog::Configuration::new();
    configuration.set_unstable_operation_enabled("v2.ListLLMObsPromptVersions", true);
    let api = AgentObservabilityAPI::with_config(configuration);
    let resp = api
        .list_llm_obs_prompt_versions("prompt_id".to_string())
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}

Instructions

First install the library and its dependencies and then save the example to src/main.rs and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
/**
 * List versions of an Agent Observability prompt returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration({
  authMethods: {
    AuthZ: {
      accessToken: process.env.DD_BEARER_TOKEN as string,
    },
  },
});
configuration.unstableOperations["v2.listLLMObsPromptVersions"] = true;
const apiInstance = new v2.AgentObservabilityApi(configuration);

const params: v2.AgentObservabilityApiListLLMObsPromptVersionsRequest = {
  promptId: "prompt_id",
};

apiInstance
  .listLLMObsPromptVersions(params)
  .then((data: v2.LLMObsPromptVersionsResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));

Instructions

First install the library and its dependencies and then save the example to example.ts and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" tsc "example.ts"